org.ajax4jsf.component

## Class UIAjaxRegion

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - org.ajax4jsf.component.UIAjaxRegion

- All Implemented Interfaces:
    javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxContainer, org.ajax4jsf.component.AjaxContainerBase, org.ajax4jsf.event.AjaxSource
  Direct Known Subclasses:
    HtmlAjaxRegion, HtmlPage

      public abstract class UIAjaxRegion
      extends javax.faces.component.UIPanel
      implements org.ajax4jsf.component.AjaxContainer

  Version:
    $Revision: 1.1.2.3 $ $Date: 2007/02/08 15:02:06 $
  Author:
    asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIPanel

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIAjaxRegion()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAjaxListener(org.ajax4jsf.event.AjaxListener listener)`
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `void` | `encodeAjax(javax.faces.context.FacesContext context)`
    `javax.el.MethodExpression` | `getAjaxListener()`
    `org.ajax4jsf.event.AjaxListener[]` | `getAjaxListeners()`
    `boolean` | `isImmediate()`
    `boolean` | `isSelfRendered()`
    `boolean` | `isSubmitted()`
    `boolean` | `isTransient()`
    `void` | `processDecodes(javax.faces.context.FacesContext context)`
    `void` | `processUpdates(javax.faces.context.FacesContext context)`
    `void` | `processValidators(javax.faces.context.FacesContext context)`
    `void` | `removeAjaxListener(org.ajax4jsf.event.AjaxListener listener)`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setAjaxListener(javax.el.MethodExpression ajaxListener)`
    `void` | `setImmediate(boolean immediate)`
    `void` | `setSelfRendered(boolean selfRendered)`
    `void` | `setSubmitted(boolean submitted)`
    `void` | `setTransient(boolean transientFlag)`

    - ### Methods inherited from class javax.faces.component.UIPanel

      `getFamily`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.component.AjaxContainer

      `isRenderRegionOnly, setRenderRegionOnly`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIAjaxRegion

          public UIAjaxRegion()

  - ### Method Detail

    - #### processDecodes

          public void processDecodes(javax.faces.context.FacesContext context)

      Overrides:
        `processDecodes` in class `javax.faces.component.UIComponentBase`

    - #### processValidators

          public void processValidators(javax.faces.context.FacesContext context)

      Overrides:
        `processValidators` in class `javax.faces.component.UIComponentBase`

    - #### processUpdates

          public void processUpdates(javax.faces.context.FacesContext context)

      Overrides:
        `processUpdates` in class `javax.faces.component.UIComponentBase`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `javax.faces.component.UIComponentBase`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### getAjaxListener

          public javax.el.MethodExpression getAjaxListener()

      Specified by:
        `getAjaxListener` in interface `org.ajax4jsf.component.AjaxContainerBase`

    - #### isImmediate

          public boolean isImmediate()

      Specified by:
        `isImmediate` in interface `org.ajax4jsf.component.AjaxContainerBase`

    - #### isSubmitted

          public boolean isSubmitted()

      Specified by:
        `isSubmitted` in interface `org.ajax4jsf.component.AjaxContainerBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### setAjaxListener

          public void setAjaxListener(javax.el.MethodExpression ajaxListener)

      Specified by:
        `setAjaxListener` in interface `org.ajax4jsf.component.AjaxContainerBase`

    - #### setImmediate

          public void setImmediate(boolean immediate)

      Specified by:
        `setImmediate` in interface `org.ajax4jsf.component.AjaxContainerBase`

    - #### setSubmitted

          public void setSubmitted(boolean submitted)

      Specified by:
        `setSubmitted` in interface `org.ajax4jsf.component.AjaxContainerBase`

    - #### addAjaxListener

          public void addAjaxListener(org.ajax4jsf.event.AjaxListener listener)

      Specified by:
        `addAjaxListener` in interface `org.ajax4jsf.event.AjaxSource`

    - #### getAjaxListeners

          public org.ajax4jsf.event.AjaxListener[] getAjaxListeners()

      Specified by:
        `getAjaxListeners` in interface `org.ajax4jsf.event.AjaxSource`

    - #### removeAjaxListener

          public void removeAjaxListener(org.ajax4jsf.event.AjaxListener listener)

      Specified by:
        `removeAjaxListener` in interface `org.ajax4jsf.event.AjaxSource`

    - #### isSelfRendered

          public boolean isSelfRendered()

      Specified by:
        `isSelfRendered` in interface `org.ajax4jsf.component.AjaxContainerBase`

    - #### setSelfRendered

          public void setSelfRendered(boolean selfRendered)

      Specified by:
        `setSelfRendered` in interface `org.ajax4jsf.component.AjaxContainerBase`

    - #### encodeAjax

          public void encodeAjax(javax.faces.context.FacesContext context)
                          throws java.io.IOException

      Specified by:
        `encodeAjax` in interface `org.ajax4jsf.component.AjaxContainer`
      Throws:
        `java.io.IOException`

    - #### isTransient

          public boolean isTransient()

      Specified by:
        `isTransient` in interface `javax.faces.component.StateHolder`
      Overrides:
        `isTransient` in class `javax.faces.component.UIComponentBase`
      Returns:
      See Also:
        `AjaxRegionBrige.isTransient()`

    - #### setTransient

          public void setTransient(boolean transientFlag)

      Specified by:
        `setTransient` in interface `javax.faces.component.StateHolder`
      Overrides:
        `setTransient` in class `javax.faces.component.UIComponentBase`
      Parameters:
        `transientFlag` -
      See Also:
        `AjaxRegionBrige.setTransient(boolean)`

Copyright © 2013. All Rights Reserved.